$(function () {
    //*******************QQ登录************************//
    if ($("#qqLoginBtn")) {
        //调用QC.Login方法，指定btnId参数将按钮绑定在容器节点中
        QC.Login({
            //btnId：插入按钮的节点id，必选
            btnId: "qqLoginBtn",
            //用户需要确认的scope授权项，可选，默认all
            scope: "all",
            //按钮尺寸，可用值[A_XL| A_L| A_M| A_S|  B_M| B_S| C_S]，可选，默认B_S
            size: "B_M"
        },
    function (reqData, opts) {//登录成功
        //根据返回数据，更换按钮显示状态方法
        var dom = document.getElementById(opts['btnId']),
       _logoutTemplate = [
        //头像
            '<span><img src="{figureurl}" class="{size_key}"/></span>',
        //昵称
            '<span>{nickname}</span>',
        //退出
            ' 登录中..'
       ].join("");
        dom && (dom.innerHTML = QC.String.format(_logoutTemplate, {
            nickname: QC.String.escHTML(reqData.nickname), //做xss过滤
            figureurl: reqData.figureurl
        }));
        if (QC.Login.check()) {//如果已登录
            QC.Login.getMe(function (openId, accessToken) {
                //alert(["当前登录用户的", "openId为：" + openId, "accessToken为：" + accessToken].join("\n"));
                $.get("/WebService/sso.ashx",
                      { access_token: accessToken, openId: openId, logintype: "qqlogin", qqjson: JSON.stringify(reqData) },
                      function (data) {
                          if (data == "ok") {//登录成功 
                              //运行登录成功的页面跳转等
                              calllogin();
                          }
                          else {
                              alert(data);
                          }
                      }
                );
            });
        }
    },
    function (opts) {//注销成功

    }
);
    }
  })

  function QQremind(id, time, cantent, url) {
      /// <summary>
      ///  QQ提醒接口
      ///  ID为将按钮显示位置ID，Time为提醒时间：2015-1-9 15:53，cantent提醒内容(注意70个字)，url为指向的链接
      /// </summary>
      var __qqClockShare = {
          content: cantent,
          time: time,
          advance: 0,
          url: url,
          icon: "1_1"
      };
      $("#" + id).html('<a href="http://qzs.qq.com/snsapp/app/bee/widget/open.htm#content=' + encodeURIComponent(__qqClockShare.content) + '&time=' + encodeURIComponent(__qqClockShare.time) + '&advance=' + __qqClockShare.advance + '&url=' + encodeURIComponent(__qqClockShare.url) + '" target="_blank"><img src="http://i.gtimg.cn/snsapp/app/bee/widget/img/' + __qqClockShare.icon + '.png" style="border:0px;"/></a>');
  }